[development] Fwd: Re: Parts of PHP compat under GPL?

Karoly Negyesi karoly at negyesi.net
Wed Nov 15 13:41:17 UTC 2006

As I told you in the PHP version mail, it's necessary to contact the PHP compat authors to fullfill my plans. Aidan was quick to response, very helpful and at this moment we are chatting over #drupal... thanks!

----- Start Forwarded Message -----
Sent: Thu, 16 Nov 2006 00:33:36 +1100
From: "Aidan Lister" <aidan at php.net>
To: "Karoly Negyesi" <karoly at negyesi.net>
Subject: Re: Parts of PHP compat under GPL?

Hi Karoly,

Of course, this would be no problem at all. I'd love to see Drupal
make use of PHP_Compat, and am happy to consult with you to make any
necessary changes.


On 16/11/06, Karoly Negyesi <karoly at negyesi.net> wrote:
> Hi,
> I am one of the lead developers of the Drupal project and I would like to
> encourage people to use PHP5 and yet I would like keep PHP4 compatibility.
> For now, this would mostly mean using a few very useful PHP5 array tricks
> and adding an include which emulates them for PHP4. Eventually, this will
> mean that parts of PHP compat will appear in Drupal -- regardless of
> whether I intend to copy-paste or not -- but at the end of the day, how
> many sane implementations of any given array walk/diff etc has?
> So I would like to avoid bickering and finger pointing and ask beforehand
> your opinion. Could you, for example, dual license this package?
> Regards
> NK

----- End Forwarded Message -----

More information about the development mailing list